mixin button(spec)
  - spec = spec || {}
  - spec.__class = spec.__class || ''

  if spec.type=='link'
    a(href=spec.link class=spec.__class type= spec.type).button&attributes(attributes)
      .button__items.button__items-link
        span.button__item.button__item-one
        span.button__item.button__item-two
        span.button__item.button__item-three
        span.button__item.button__item-vour
      .button__text.button__text-link= spec.text
  else
    .button(class=spec.__class type= spec.type)&attributes(attributes)
      .button__items
        span.button__item.button__item-one
        span.button__item.button__item-two
        span.button__item.button__item-three
        span.button__item.button__item-vour
      .button__text= spec.text
